
# REPOSITORY ERRORS: CODES & MESSAGES
GENERIC_REPOSITORY_EXCEPTION_CODE = 600
GENERIC_REPOSITORY_EXCEPTION_MESSAGE = "Error en el sistema, vuelva a intentarlo más tarde"

MULTIPLE_RESULTS_EXCEPTION_CODE = 601
MULTIPLE_RESULTS_EXCEPTION_MESSAGE = "Se han encontrado múltiples resultados en la búsqueda realizada en '{}'"

UNIT_NO_RESULTS_BY_ID_EXCEPTION_CODE = 602
UNIT_NO_RESULTS_BY_ID_EXCEPTION_MESSAGE = "No se ha encontrado ninguna unidad con el id brindado"

TUTORSHIP_NO_RESULTS_BY_ID_EXCEPTION_CODE = 603
TUTORSHIP_NO_RESULTS_BY_ID_EXCEPTION_MESSAGE = "No se ha encontrado ninguna tutoría con el id brindado"

SESSION_NO_RESULTS_BY_ID_EXCEPTION_CODE = 604
SESSION_NO_RESULTS_BY_ID_EXCEPTION_MESSAGE = "No se ha encontrado ninguna sesión con el id brindado"

USER_INTEGRITY_EXCEPTION_CODE = 605
USER_INTEGRITY_EXCEPTION_MESSAGE = "Ya existe un usuario con {} {}"

MOMENT_TUTORSHIP_NOT_FOUND_FOR_UNIT_CODE = 606
MOMENT_TUTORSHIP_NOT_FOUND_FOR_UNIT_MESSAGE = "No se ha encontrado una Tutoría de momento"

UNIT_INTEGRITY_EXCEPTION_CODE = 607
UNIT_INTEGRITY_EXCEPTION_MESSAGE = "Ya existe una unidad con dicho código"
